import 'package:flutter/material.dart';
import 'package:flutter_ads/flutter_ads.dart';
class HomePage extends StatefulWidget {
  @override
  _HomePageState createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {

  @override
  void initState() {
    // TODO: implement initState
    super.initState();
    initReward();
  }
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Container(
          child: Column(
            children: <Widget>[
              RaisedButton(
                onPressed: () {
                  Navigator.of(context).pushNamed("/splash");
                },
                child: Text("开屏广告"),
              ),
              RaisedButton(
                onPressed: () {
                  Navigator.of(context).pushNamed("/nativeads");
                },
                child: Text("普通广告"),
              ),
              RaisedButton(
                onPressed: () {
                  FlutterAds.initRewardVideo();
                },
                child: Text("初始化激励视频广告"),
              ),
              RaisedButton(
                onPressed: () {
                  FlutterAds.loadRewardVideo();
                },
                child: Text("激励视频广告"),
              ),
            ],
          ),
        ));
  }

  void initReward() async{
    String result = await FlutterAds.initRewardVideo();
    print("Reaward init result = $result}");

  }


}
